Browse Source

Get amd64 to build again

but, sadly, we'll have to do 6? now.

Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>
Ronald G. Minnich 2 years ago
parent
commit
bb09545547
4 changed files with 31 additions and 2 deletions
  1. 5 0
      BUILDTOOLCHAIN
  2. 24 0
      SETUP386
  3. 0 0
      SETUPamd64
  4. 2 2
      inferno-os/Linux/386/include/lib9.h

+ 5 - 0
BUILDTOOLCHAIN

@@ -1,3 +1,8 @@
+#!/bin/bash
+
+set -x
+set -e
+
 PATH=$PATH:$PLAN9/bin
 export NXM=`pwd`
 . $NXM/buildconfig

+ 24 - 0
SETUP386

@@ -0,0 +1,24 @@
+echo MAKE SURE PLAN9 is set
+objtype=386
+export objtype
+cputype=386/unix
+export cputype
+NXM=`pwd`
+export NXM
+#PATH=$PATH:~/src/plan9port/bin/
+PATH=$NXM/xbin:$PLAN9/bin:$PATH:$PLAN9/bin:.
+# Linux is so smart sometimes, but we'll be using P9P ls which doesn't understand
+alias ls=ls
+#!/bin/bash
+
+set -x
+set -e
+
+PATH=$PATH:$PLAN9/bin
+export NXM=`pwd`
+. $NXM/buildconfig
+(cd util/8a && sh BUILD)
+(cd util/8l && sh BUILD)
+(cd util/8c && sh BUILD)
+(cd util && sh BUILD)
+(cd inferno-os && sh BUILD)

+ 0 - 0
SETUP → SETUPamd64


+ 2 - 2
inferno-os/Linux/386/include/lib9.h

@@ -1,7 +1,7 @@
 /* define _BSD_SOURCE to use ISO C, POSIX, and 4.3BSD things. */
 #define	USE_PTHREADS
-#ifndef _BSD_SOURCE
-#define _BSD_SOURCE
+#ifndef _DEFAULT_SOURCE
+#define _DEFAULT_SOURCE
 #endif
 #define _XOPEN_SOURCE  500
 #define _LARGEFILE_SOURCE	1